%{?scl:%scl_package %{?scl_prefix}nghttp2}
%{!?scl:%global pkg_name %{name}}

%global commitid cf94d7cff4b781df380702af0c5fe8114354c84d
%global serial 9

Name:           %{?scl_prefix}nghttp2
Version:        1.12.0
Release:        %{serial}%{?dist}
Summary:        Nghttp2: HTTP/2 C Library

License:        MIT
URL:            https://github.com/tatsuhiro-t/nghttp2
Source0:        nghttp2-%{commitid}.tar.gz

%{?scl:Requires: %scl_runtime}
BuildRequires: autoconf, automake, libtool

%description
This is an implementation of the Hypertext Transfer Protocol version 2 in C.

%prep
%setup -q -n %{pkg_name}-%{commitid}
%if 0%{?rhel} >= 7
autoreconf -i
automake
autoconf
# else use the rhel-6 artifacts provided by the look aside repo
# this is done because autoconf in rhel-6 cannot build the library
%endif

%build
%configure
make %{?_smp_mflags}

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%make_install

%files
%defattr(-,root,root,-)
%doc
%{_mandir}/man1/*
%{_libdir}/*
%{_includedir}/nghttp2/*
%{_datarootdir}/*

%changelog
* Thu Aug 18 2016 Patrick Sutherland <csutherl@redhat.com> - 1.12.0-9
- Rebuilding to include scl prefix

* Wed Jul 20 2016 Patrick Sutherland <csutherl@redhat.com> - 1.12.0-8
- Rebuilding after el6 make updates

* Mon Jul 18 2016 Patrick Sutherland <csutherl@redhat.com> - 1.12.0-7
- Build after incorporating source-repos brew feature

* Mon Jul 18 2016 Coty Sutherland <csutherl@gmail.com> - 1.12.0-7
- Incorporating source-repos brew feature for future builds

* Mon Jul 18 2016 Jean-Frederic Clere <jclere@redhat.com> - 1.12.0-6
- Rebuild using ETT.

* Thu Jul 14 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 1.12.0-5
- 

* Thu Jul 14 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 1.12.0-2
- 

* Thu Jul 14 2016 George Zaronikas <gzaronik@redhat.com> - 1.12.0-1
- Upgrading nghttp2 to 1.12.0

* Wed Jul 13 2016 Jean-Frederic Clere <jclere@redhat.com> - 1.4.0-4
- 

* Wed Jul 06 2016 Jean-Frederic Clere <jclere@redhat.com> - 1.4.0-4
- 

* Tue Nov 17 2015 Weinan Li <weli@redhat.com> - 0:1.4.0-3
- Rebuild

* Tue Nov 17 2015 Weinan Li <weli@redhat.com> - 0:1.4.0-2
- Build for both el6 and el7

* Mon Nov 16 2015 Weinan Li <weli@redhat.com> - 0:1.4.0-1
- Initial build
